Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath
Class SourceTree

    java.lang.Object
      |
      +--weblogic.apache.xpath.SourceTree

public class SourceTree
extends java.lang.Object

This object represents a Source Tree, and any associated information.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`int` | `m_root` The root of the source tree, which may or may not be a `Document` node.
`java.lang.String` | `m_url` The URI of the source tree.

Constructor Summary
`SourceTree(int root, java.lang.String url)` Constructor SourceTree

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_url

    public java.lang.String m_url

  The URI of the source tree.

### m_root

    public int m_root

  The root of the source tree, which may or may not be a `Document` node.

Constructor Detail

### SourceTree

    public SourceTree(int root,
                      java.lang.String url)

  Constructor SourceTree

  Parameters:
    `root` - The root of the source tree, which may or may not be a `Document` node.
    `url` - The URI of the source tree.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference